DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IntegerArrayNew

Array allocation function

## SYNOPSIS

dip_Error dip_IntegerArrayNew ( array, size, value, resources )

## FUNCTION

This function allocates the `size` elements of a `dip_IntegerArray` and sets the size of the array to `size`. Each array element is initialized with `value`.

## ARGUMENTS

Data type | Name | Description
`dip_IntegerArray *` | `array` | Array
`dip_int` | `size` | Size
`dip_int` | `value` | Initial value
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`IntegerArrayNew`, `IntegerArrayFree`, `IntegerArrayCopy`, `IntegerArrayFind`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`

DIPlib on-line documentation | Function reference | Global function index